# Burn Passports

Quadrata Passport holders have the ability to burn their Quadrata Passports by calling the ***QuadPassport*****.*****burnPassports()*** function.

### Example

{% tabs %}
{% tab title="Nodejs" %}

```javascript
import { ethers } from 'ethers';

QUAD_PASSPORT_ADDRESS = "0x2e779749c40CC4Ba1cAB4c57eF84d90755CC017d";
QUAD_PASSPORT_ABI = ""; // ABI is available at https://github.com/QuadrataNetwork/passport-contracts/blob/develop/abis/QuadPassport.json

const burnPassports = async () => {
  // Retrieve Connected wallet/signer
  await window.ethereum.enable()
  const provider = new ethers.providers.Web3Provider(window.ethereum);
  const signer = provider.getSigner();
  
  const tokenId = <TOKEN_ID>  // tokenId originator of the passport
  
  // Instantiate passport contract object
  const passportContract = new ethers.Contract(
    passportAddress,
    QUADRATA_PASSPORT_ABI,
    signer,
  );

  await passportContract.burnPassports(tokenId);
};
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.quadrata.com/integration/how-to-integrate/burn-passports.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
